// HWave.h : Header file for HWave.dll
//
//For Borland C++ Builder, use CBHWave.lib
//For Microsoft Visual C++, use VCHWave.lib or VCHWave64.lib

#ifdef __cplusplus
extern "C" {
#endif



typedef void (*TDACMultiCallback)(void *pDACData, unsigned long *DACDataCount);

__declspec(dllimport) unsigned long HWave_Start(unsigned long DeviceIndex, double Milliseconds, signed long BufferDepth);
__declspec(dllimport) unsigned long HWave_Stop(unsigned long DeviceIndex);
__declspec(dllimport) unsigned long HWave_RegisterCallback(unsigned long DeviceIndex, TDACMultiCallback pCallback);

__declspec(dllimport) unsigned long HWave_ResetClock(unsigned long DeviceIndex);
__declspec(dllimport) unsigned long HWave_ChangeClockRate(unsigned long DeviceIndex, double Milliseconds);



//Note that all error codes returned are Windows error codes; they can be found in winerror.h in the Windows SDK, or on the Web.

#ifdef __cplusplus
}
#endif
